GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Functions | Variables
jwt_verifier.c File Reference
`#include "src/core/security/jwt_verifier.h"`
`#include <string.h>`
`#include "src/core/httpcli/httpcli.h"`
`#include "src/core/security/base64.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/string_util.h>`
`#include <grpc/support/sync.h>`
`#include <openssl/pem.h>`

## Data Structures
struct | jose_header
struct | grpc_jwt_claims
struct | verifier_cb_ctx
struct | email_key_mapping
struct | grpc_jwt_verifier

## Functions
const char * | grpc_jwt_verifier_status_to_string (grpc_jwt_verifier_status status)
void | grpc_jwt_claims_destroy (grpc_jwt_claims *claims)
const grpc_json * | grpc_jwt_claims_json (const grpc_jwt_claims *claims)
const char * | grpc_jwt_claims_subject (const grpc_jwt_claims *claims)
const char * | grpc_jwt_claims_issuer (const grpc_jwt_claims *claims)
const char * | grpc_jwt_claims_id (const grpc_jwt_claims *claims)
const char * | grpc_jwt_claims_audience (const grpc_jwt_claims *claims)
gpr_timespec | grpc_jwt_claims_issued_at (const grpc_jwt_claims *claims)
gpr_timespec | grpc_jwt_claims_expires_at (const grpc_jwt_claims *claims)
gpr_timespec | grpc_jwt_claims_not_before (const grpc_jwt_claims *claims)
grpc_jwt_claims * | grpc_jwt_claims_from_json (grpc_json *json, gpr_slice buffer)
grpc_jwt_verifier_status | grpc_jwt_claims_check (const grpc_jwt_claims *claims, const char *audience)
void | verifier_cb_ctx_destroy (verifier_cb_ctx *ctx)
void | grpc_jwt_verifier_verify (grpc_jwt_verifier *verifier, grpc_pollset *pollset, const char *jwt, const char *audience, grpc_jwt_verification_done_cb cb, void *user_data)
grpc_jwt_verifier * | grpc_jwt_verifier_create (const grpc_jwt_verifier_email_domain_key_url_mapping *mappings, size_t num_mappings)
void | grpc_jwt_verifier_destroy (grpc_jwt_verifier *v)

## Variables
gpr_timespec | grpc_jwt_verifier_clock_skew = {60, 0, GPR_TIMESPAN}
gpr_timespec | grpc_jwt_verifier_max_delay = {60, 0, GPR_TIMESPAN}

## Function Documentation

const char* grpc_jwt_claims_audience | ( | const grpc_jwt_claims * | claims | ) |

grpc_jwt_verifier_status grpc_jwt_claims_check | ( | const grpc_jwt_claims * | claims,
|  | const char * | audience
| ) |  |

void grpc_jwt_claims_destroy | ( | grpc_jwt_claims * | claims | ) |

gpr_timespec grpc_jwt_claims_expires_at | ( | const grpc_jwt_claims * | claims | ) |

grpc_jwt_claims* grpc_jwt_claims_from_json | ( | grpc_json * | json,
|  | gpr_slice | buffer
| ) |  |

const char* grpc_jwt_claims_id | ( | const grpc_jwt_claims * | claims | ) |

gpr_timespec grpc_jwt_claims_issued_at | ( | const grpc_jwt_claims * | claims | ) |

const char* grpc_jwt_claims_issuer | ( | const grpc_jwt_claims * | claims | ) |

const grpc_json* grpc_jwt_claims_json | ( | const grpc_jwt_claims * | claims | ) |

gpr_timespec grpc_jwt_claims_not_before | ( | const grpc_jwt_claims * | claims | ) |

const char* grpc_jwt_claims_subject | ( | const grpc_jwt_claims * | claims | ) |

grpc_jwt_verifier* grpc_jwt_verifier_create | ( | const grpc_jwt_verifier_email_domain_key_url_mapping * | mappings,
|  | size_t | num_mappings
| ) |  |

void grpc_jwt_verifier_destroy | ( | grpc_jwt_verifier * | v | ) |

const char* grpc_jwt_verifier_status_to_string | ( | grpc_jwt_verifier_status | status | ) |

void grpc_jwt_verifier_verify | ( | grpc_jwt_verifier * | verifier,
|  | grpc_pollset * | pollset,
|  | const char * | jwt,
|  | const char * | audience,
|  | grpc_jwt_verification_done_cb | cb,
|  | void * | user_data
| ) |  |

void verifier_cb_ctx_destroy | ( | verifier_cb_ctx * | ctx | ) |

## Variable Documentation

gpr_timespec grpc_jwt_verifier_clock_skew = {60, 0, GPR_TIMESPAN}

gpr_timespec grpc_jwt_verifier_max_delay = {60, 0, GPR_TIMESPAN}